﻿@model Web.Models.BadLink
<!-- Modal -->
<div class="modal fade" id="edit-badlink" tabindex="-1" role="dialog" aria-labelledby="projectLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <form asp-action="Edit">
                    <input type="hidden" asp-for="Id" value="@(@Model == null ? 0 : @Model.Id)"/>
                    <input name="IsValid" type="hidden" value="@ViewData.ModelState.IsValid.ToString()" />
                    <div class="form-group">
                        <label asp-for="Url"></label>
                        <input asp-for="Url" class="form-control" />
                        <span asp-validation-for="Url" class="text-danger"></span>
                    </div>
                </form>
            </div>
            <div class="modal-footer d-flex justify-content-between">
                <button type="button" class="btn btn-primary" data-save="modal">Сохранить</button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Отмена</button>
            </div>
        </div>
    </div>
</div>